Bug 71991 - New Red Hat GNOME panel icons disaper when drag to desktop
New Red Hat GNOME panel icons disaper when drag to desktop
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On: 72572 72910 72911 72913
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-08-20 12:31 EDT by Mark Cooke
Modified: 2007-04-18 12:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-06 06:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of reportable menu error (320.87 KB, image/png)
2002-08-21 03:43 EDT, Mark Cooke
no flags Details

  None (edit)
Description Mark Cooke 2002-08-20 12:31:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.1b) Gecko/20020721

Description of problem:
In Gnome when dragging the Default RedHat Panel icons (Evolution, Openoffice and
Mozilla icons) to the desktop, they create the .desktop file, but the icon
vanashes and you are left with a gnome logo.
This only happens on the icons that RedHat customised icons that are part of the
default desktop.
If you then click the failed icon, it fails to launch the application, with the
following error:

'This link cannot be used, because its target
"../desktop-menu-patches/redhat-web-desktop' doesn't exsist. Do you want to put
this in the trash'
(This happens for all the above icons)

The applications do lauch if clicked upon, directly on the panel (ie you havn't
tried to move them to the desktop)

If you manually add of the above applications to the panel by:
'Right click on panel | add to panel | Launcher from menu | app-name'
They appear with the icons.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Drag the default icons next to the menu to the desktop in Gnome
2. .desktop appears, but no icon
3. clicking on app failes to launch it
	

Actual Results:  see above

Expected Results:  The correct icon to be displayed on desktop and the
application to be launchable.

Additional info:
Comment 1 Mark Cooke 2002-08-21 03:43:33 EDT
Created attachment 71845 [details]
screenshot of  reportable menu error
Comment 2 Havoc Pennington 2002-08-21 16:20:49 EDT
The problem here is the way nautilus copies the file copies it as a symlink
maintaining the same relative target - so you get a symlink to
"../desktop-menu-patches/redhat-presentations.desktop" in ~/.gnome-desktop

Alex what will break if we follow symlinks when copying them?
Comment 3 Alexander Larsson 2002-08-22 04:24:59 EDT
Shouldn't we have absolute symlinks instead?
Following symlinks would break copying symlinks.
Comment 4 Havoc Pennington 2002-08-22 11:03:52 EDT
rpmlint will have a hissy if we use absolute symlinks.

Copying symlinks probably needs to revise the relative symlink to point to the
right place :-/
Comment 5 Alexander Larsson 2002-08-22 11:42:29 EDT
But absolute symlinks makes sense here. screw rpmlint!
Comment 6 Havoc Pennington 2002-08-22 17:07:14 EDT
Several package rebuilds involved in switching to absolute, including OpenOffice :-/

We could do it I guess. Bill what do you think?
Comment 7 Bill Nottingham 2002-08-22 21:30:54 EDT
I don't care if they're absolute or relative symlinks. I just want it to *work*.
Comment 8 Havoc Pennington 2002-08-22 21:44:39 EDT
OK we need to fix this in all packages with the relative symlinks. There are 15
symlinks on my test machine everything install:

 gnome-control-center.desktop (control-center)
 gnome-gdmsetup.desktop (gdm)
 gnome-pilot.desktop (gnome-pilot)
 openoffice-printeradmin.desktop (OOo)
 openoffice-setup.desktop (OOo)
 redhat-audio-player.desktop (xmms?)
 redhat-diagrams.desktop (dia)
 redhat-drawing.desktop (OOo)
 redhat-email.desktop (evolution)
 redhat-gnomemeeting.desktop (gnomemeeting)
 redhat-math.desktop (OOo)
 redhat-presentations.desktop (OOo)
 redhat-spreadsheet.desktop (OOo)
 redhat-web.desktop (mozilla)
 redhat-word-processor.desktop (OOo)

cc'ing relevant persons.
Comment 9 Mark Cooke 2002-08-22 21:49:26 EDT
Seen I posted the original report, I can fix this if required and post back the
fixes, to save anyone the trouble?
Comment 10 Havoc Pennington 2002-08-22 22:51:24 EDT
segfault, I think these fixes are extremely simple changes to %install scripts
in the spec file, so patches aren't really necessary. appreciate the offer though.
Comment 11 Christopher Blizzard 2002-08-22 23:33:29 EDT
redhat-web.desktop (in htmlview) is fixed with 2.0.0-6.
Comment 12 Alexander Larsson 2002-08-23 06:09:17 EDT
I don't see that for redhat-gnomemeeting.desktop on my recently installed tree.
Comment 13 Alexander Larsson 2002-08-23 06:32:02 EDT
dia-0.90-6 should fix the redhat-diagram one.
Comment 14 Havoc Pennington 2002-08-25 14:36:57 EDT
#72572 filed to be sure it isn't forgotten for openoffice.
Comment 15 Havoc Pennington 2002-08-28 21:59:39 EDT
Only gnome-pilot is left I think.
Comment 16 Mark Cooke 2002-09-03 19:08:01 EDT
The latest from up2date seems to have fixed the problem.

Good work..

Mark
Comment 17 Mark Cooke 2002-10-13 00:50:01 EDT
This is still happening on the official 8.0 release, I can reproduce it on 4
machines and other members have reported the same still happening.

The rpm that I downloaded from the link Havoc mentioned above fixed it in Null,
but its come back in Psyche
Comment 18 Mark Cooke 2002-10-13 00:51:28 EDT
Opps, sorry wrong bug report
Comment 19 Brent Fox 2002-10-18 18:59:58 EDT
So we can close this report then?

Note You need to log in before you can comment on or make changes to this bug.